# SceanrioDB signal list version 3.0

| Name                   | Group                | Subgroup         | Subsubgroup   | Attribute  | Signal Class           | Description                                                                                                                                                                                    | Data Type                                            | Unit    | Minimal Accuracy   | Frequency     | Comment                                                                                                                                                                                                         |
|:-----------------------|:---------------------|:-----------------|:--------------|:-----------|:-----------------------|:-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|:-----------------------------------------------------|:--------|:-------------------|:--------------|:----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| _posX_                   | _Polyline, Trajectory_ | -                | -             |  -         | _Measured_               | _X coordinate in polyline_                                                                                                                                                                       | _double (Relativ to Lat/Long reference point)_         | _m_       | _0,2 m_              | _25 Hz / 10Hz_  | -                                                                                                                                                                                                                |
| _posY_                   | _Polyline, Trajectory_ | -                | -             | -          |  _Measured_              | _Y coordinate in polyline_                                                                                                                                                                       | _double (Relativ to Lat/Long reference point)_         | _m_       | _0,2 m_              | _25 Hz / 10Hz_  | -                                                                                                                                                                                                                |
| _posZ_                   | _Polyline, Trajectory_ | -                | -             | -          |  _Measured_              | _Z coordinate in polyline (elevation)_                                                                                                                                                           | _double (Relativ to Lat/Long reference point)_         | _m_       | _0,2 m_              | _25 Hz / 10Hz_  | -                                                                                                                                                                                                                |
| _heading_                | _Trajectory_           | -                | -             |  -             |  _Measured_               | _Heading angle of object_                                                                                                                                                                        | _double_                                               | _deg_     | _0,035 rad (2°)_     | _25 Hz / 10Hz_  | -                                                                                                                                                                                                                |
| _pitch_                  | _Trajectory_          | -                | -             |  -             |  _Measured_               | _Pitch angle of object_                                                                                                                                                                          | _double_                                               | _deg_     | _0,035 rad (2°)_     | _25 Hz / 10Hz_  | -                                                                                                                                                                                                                |
| _roll_                   | _Trajectory_           | -                | -             |  -             |  _Measured_               | _Roll angle of object_                                                                                                                                                                           | _double_                                               | _deg_     | _0,035 rad (2°)_     | _25 Hz / 10Hz_  | -                                                                                                                                                                                                                |
| _headingDer_             | _Trajectory_           | -                | -             | -              |  _Measured_               | _Heading rate_                                                                                                                                                                                   | _double_                                               | _deg/s_   | _0,035 rad/s_        | _25 Hz / 10Hz_  | -                                                                                                                                                                                                                |
| _pitchDer_               | _Trajectory_           | -                | -             | -             |  _Measured_               | _Pitch rate_                                                                                                                                                                                     | _double_                                               | _deg/s_   | _0,035 rad/s_        | _25 Hz / 10Hz_  | -                                                                                                                                                                                                                |
| _rollDer_                | _Trajectory_           | -                | -             |  -             | _Measured_               | _Roll rate_                                                                                                                                                                                      | _double_                                               | _deg/s_   | _0,035 rad/s_        | _25 Hz / 10Hz_  | -                                                                                                                                                                                                                |
| _velLongitudinal_        | _Trajectory_          | -                | -             |  -             | _Measured_               | _Velocity in longitudinal direction (vehicle coordinate system)_                                                                                                                                 | _double_                                               | _m/s_     | _0,1 m/s_            | _25 Hz / 10Hz_  | -                                                                                                                                                                                                                |
| _velLateral_             | _Trajectory_           | -                | -             | -             |  _Measured_               | _Velocity in lateral direction  (vehicle coordinate system)_                                                                                                                                     | _double_                                               | _m/s_     | _0,1 m/s_            | _25 Hz / 10Hz_  | -                                                                                                                                                                                                                |
| _velZ_                   | _Trajectory_           | -                | -             | -             |  _Measured_               | _Velocity in z-direction  (vehicle coordinate system)                                                                                                                                           | _double_                                               | _m/s_     | _0,1 m/s_            | _25 Hz / 10Hz_  | -                                                                                                                                                                                                                |
| _accLongitudinal_        | _Trajectory_           | -                | -             |  -             | _Measured_               | _Acceleration in longitudinal direction  (vehicle coordinate system)_                                                                                                                            | _double_                                               | _m/s^2_   | _0,1 m/s^2_          | _25 Hz / 10Hz_  | -                                                                                                                                                                                                                |
| _accLateral_             | _Trajectory_           | -                | -             | -             |  _Measured_               | _Acceleration in lateral direction  (vehicle coordinate system)_                                                                                                                                 | _double_                                               | _m/s^2_   | _0,1 m/s^2_          | _25 Hz / 10Hz_  | -                                                                                                                                                                                                                |
| _accZ_                  | _Trajectory_           | -                | -             |  -             | _Measured_               | _Acceleration in z-direction  (vehicle coordinate system)_                                                                                                                                       | _double_                                               | _m/s^2_   | _0,1 m/s^2_          | _25 Hz / 10Hzv  | -                                                                                                                                                                                                                |

| Name                   | Group                | Subgroup         | Subsubgroup   | Attribute  | Signal Class           | Description                                                                                                                                                                                    | Data Type                                            | Unit    | Minimal Accuracy   | Frequency     | Comment                                                                                                                                                                                                         |
|:-----------------------|:---------------------|:-----------------|:--------------|:-----------|:-----------------------|:-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|:-----------------------------------------------------|:--------|:-------------------|:--------------|:----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| timestamps             | -                    | -                | -             | no             | Measured               | Timestamp vector for the complete file. Every value that is time dependent in the following follows this one timestamp vector                                                                  | dobule (vector)                                      | s       | -                  | 25 Hz / 10Hz  | -                                                                                                                                                                                                                |

| Name                   | Group                | Subgroup         | Subsubgroup   | Attribute  | Signal Class           | Description                                                                                                                                                                                    | Data Type                                            | Unit    | Minimal Accuracy   | Frequency     | Comment                                                                                                                                                                                                         |
|:-----------------------|:---------------------|:-----------------|:--------------|:-----------|:-----------------------|:-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|:-----------------------------------------------------|:--------|:-------------------|:--------------|:----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| formatVersion          | -                    | -                | -             | yes            | Determined             | Version number of file format used when generating the file                                                                                                                                    | string                                               | -       | -                  | -             | Version x.y                                                                                                                                                                                                     |
| refPointLong           | -       | -                | -             |  yes             | Determined             | Absolute reference point longitudinal coordinate                                                                                                                                               | double                                               | °E      | -                  | -             | -                                                                                                                                                                                                                |
| refPointLat            | -       | -                | -             | yes            |  Determined             | Absolute reference point latitudinal coordinate                                                                                                                                                | double                                               | °N      | -                  | -             | -                                                                                                                                                                                                                |
| recorderNumber         | -             | -                | -             | yes             |  Determined             | UUID identifing the partner, that created the file/recording.  Together with recorder number unique filename to connect ground truth recordings with the corresponding sensor under test recordings | string                                                  | -       | -                  | -             | Same name can be found in perception input format.                                                                                                                                                              |
| recordingNumber        | -             | -                | -             |  yes             | Determined             | Identifier of recording. Together with recorder number unique filename to connect ground truth recordings with the corresponding sensor under test recordings                                      | string                                                  | -       | -                  | -             | Same name can be found in perception input format.                                                                                                                                                              |
| converterVersion         | -                | -             |  yes             | Determined             | Can be filled with version of tool to merge road data, dynamic objects and weather data                                                                                                     | string                                               | -       | -                  | -             | -                                                                                                                                         |
| referenceModality        | -                    | -                | -             | yes               | Determined                | Include information on the method used to gather the reference data                                                                                     | int                                                     | -       | -                  | -             | Lookup table will be provided                                                                                                                                                                                                             |
| customInformation        | -                    | -                | -             | yes               | Determined                | Include custom information that you want to be contained in the file but does not fit in any other signal                                                                                     | string                                                     | -       | -                  | -             | -                                                                                                                                                                                                             |
| naturalBehavior        | -                    | -                | -             | yes               | Determined                | Flag to save if the measurement is part of a planned snippet scenario or naturalistic driving data                                                                                     | bool                                                     | -       | -                  | -             | Needed in order to determine if driving was naturalistic                                                                                                                                                                                                             |
| naturalExposure        | -                    | -                | -             | yes                | Determined                | Flag to save wether this recording reflects true exposure. Set to false if data has been preprocessed to find "interesting" scenario of some form                                     | bool                                                     | -       | -                | -                | Needed in order to calculate true exposure of scenarios                                                                                                                                                                                                               |
| daytime                | -                    | -                | -             | yes               | Measured                | Exact date and time at beginning of recording                                                                                                                                            | string                                                     | -       | -                | -               | Timestamps are only seconds, therefore date and time at beginning needed. Rest can be calculated by summation. String format: yymmddhhmmss                                                            |

| Name                   | Group                | Subgroup         | Subsubgroup   | Attribute  | Signal Class           | Description                                                                                                                                                                                    | Data Type                                            | Unit    | Minimal Accuracy   | Frequency     | Comment                                                                                                                                                                                                         |
|:-----------------------|:---------------------|:-----------------|:--------------|:-----------|:-----------------------|:-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|:-----------------------------------------------------|:--------|:-------------------|:--------------|:----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| _Road ID_                | _road_                 | -                | -             |  -             | _Determined_             | _Unique ID of road_                                                                                                                                                                               | _int_                                                  | -       | -                  | -               | _Depicted for demonstration purposes. Not explicitly contained in file. Known through postion in file._                                                                                                                                                                                                                |
| converterVersion       | road                 | -                | -             | yes                | Determined                | Version number of converter used to convert the map data                                                                                                                              | string                                               | -        | -                | -                | Version x.y. Short documentation on converter also needs to be provided                                                                                                                                                                                                                 |
| location               | road/{id}            | -                | -             |  yes             | Determined             | Determine location of road: Urban, nonurban, highway.                                                                                                                                          | int                                                  | -       | -                  | -             | Lookup table provided. All entries need to be uniform                                                                                                                                                           |
| numLanes               | road/{id}            | -                | -             |  yes             | Measured /Enriched     | Absolute number of lanes on particular road                                                                                                                                                    | int                                                  | -       | -                  | -             | -                                                                                                                                                                                                                |
| **border**                 | road/{id}            | -                | -             |  -             | -                      | Description of the borders of the lanes of one road                                                                                                                                            | Object type with subgroups                           | -       | -                  | -             | -                                                                                                                                                                                                                |
| **lane**                   | road/{id}            | -                | -             | -             |  -                      | Description of lanes belonging to road                                                                                                                                                         | Object type with subgroups                           | -       | -                  | -             | -                                                                                                                                                                                                                |
| **sign**                   | road/{id}            | -                | -             |  -             | -                      | Description of signs belonging to road                                                                                                                                                         | Object type with subgroups                           | -       | -                  | -             | -                                                                                                                                                                                                                |
| **lateralMarking**         | road/{id}            | -                | -             | -             |  -                      | Description of Markings going accross the street                                                                                                                                               | Object type with subgroups                           | -       | -                  | -             | -                                                                                                                                                                                                                |
| **roadObject**             | road/{id}            | -                | -             |  -             | -                      | Description of other road objects                                                                                                                                                              | Object type with subgroups                           | -       | -                  | -             | -                                                                                                                                                                                                                |
| **structuralObject**       | road/{id}            | -                | -             |  -             | -                      | Description of structural objects                                                                                                                                                              | Object type with subgroups                           | -       | -                  | -             | -                                                                                                                                                                                                                |
| _border ID_              | _road_                 | -                | -             |  -             | _Determined_             | _Unique ID of border_                                                                                                                                                                            | _int_                                                  | -       | -                  | -             | -                                                                                                                                                                                                                |
| polyline               | road/{id}            | border/{id}           | -             |  no             | Measured/Enriched      | Polyline describing the  border of the lane (just physical description of lane course)                                                                                                         | double (Vector for posX, posY and posZ)              | -       | -                  | -             | -                                                                                                                                                                                                                |
| _Lane ID_                | _road_                 | _lane_                  | -             |  -             | _Determined_             | _Unique ID of lane_                                                                                                                                                                              | _int_                                                  | -       | -                  | -             | -                                                                                                                                                                                                                |
| type                   | road/{id}            | lane/{id}             | -             |  yes             | Measured /Enriched     | e.g. driving, sidewalk, bike lane, bus and bike, bus etc.                                                                                                                                      | int                                                  | -       | -                  | -             | Lookup table provided. All entries need to be uniform                                                                                                                                                           |
| subtype                | road/{id}            | lane/{id}             | -             |  yes            | Measured /Enriched     | Is this lane part of a bridge or a tunnel                                                                                                                                                      | int                                                  | -       | -                  | -             | Lookup table provided. All entries need to be uniform                                                                                                                                                           |
| class                  | road/{id}            | lane/{id}             | -             |  yes             | Determined             | Is this lane part of an intersection or roundabout etc.                                                                                                                                        | int                                                  | -       | -                  | -             | Lookup table provided. All entries need to be uniform                                                                                                                                                           |
| predecessor            | road/{id}            | lane/{id}             | -             |  no             | Measured /Enriched     | All lane ids of the predecessors that are connected to this current lane                                                                                                                       | List of id tuples                                    | -       | -                  | -             | -                                                                                                                                                                                                                |
| successor              | road/{id}            | lane/{id}             | -             |  no             | Measured /Enriched     | All lane ids of the successors that are connected to this current lane                                                                                                                         | List of id tuples                                    | -       | -                  | -             | -                                                                                                                                                                                                                |
| borderRight            | road/{id}            | lane/{id}             | -             |  no             | Measured /Enriched     | Polyline describing the right border of the lane                                                                                                                                               | Tuple of ids                                         | -       | -                  | -             | -                                                                                                                                                                                                                |
| invertedRight          | road/{id}            | lane/{id}             | -             |  yes             | Measured /Enriched     | Is border described in driving direction (=false) or does it need to be inverted (=true)                                                                                                       | bool                                                 | -       | -                  | -             | -                                                                                                                                                                                                                |
| borderLeft             | road/{id}            | lane/{id}            |  -             |  no             | Measured /Enriched     | Polyline describing the left border of the lane                                                                                                                                                | Tuple of ids                                         | -       | -                  | -             | -                                                                                                                                                                                                                |
| invertedLeft           | road/{id}            | lane/{id}             | -             |  yes             | Measured /Enriched     | Is border described in driving direction (=false) or does it need to be inverted (=true)                                                                                                       | bool                                                 | -       | -                  | -             | -                                                                                                                                                                                                                |
| layerFlag              | road/{id}            | lane/{id}             | -             |  yes             | -                       | -                                                                                                                                                                                               | int                                                  | -        | -                  | -              | -                                                                                                                                                                                                                |
| **boundary**               | road/{id}            | lane/{id}             | -             | -                | -                    | Boundaries of lane                                                                                                                                                                             | Object type with subgroups                           | -       | -                  | -             | needs to be defined on the left and the right, multiple possible                                                                                                                                                                    |
| **flatMarking**            | road/{id}            | lane/{id}             | -             | -             |  -                      | All markings within one lane that are not already boundaries                                                                                                                                   | Object type with subgroups                           | -       | -                  | -             | e.g. turn arrows etc.                                                                                                                                                                                           |
| **surface**                | road/{id}            | lane/{id}             | -             |  -             | -                      | Surface of the lane                                                                                                                                                                            | Object type with subgroups                           | -       | -                  | -             | -                                                                                                                                                                                                                |
| _Boundary ID_            | _road_                 | _lane/{id}_            | _boundary_      |  -             | _Determined_             | _Unique ID of praticular boundary element_                                                                                                                                                       | _int_                                                  | -       | -                  | -             | -                                                                                                                                                                                                                |
| type                   | road/{id}            | lane/{id}             | boundary      | yes          | Measured /Enriched       | Type of boundary element, e.g. solid line, dashed line, guard rail, curb etc.                                                                                                                  | int                                                  | -       | -                  | -             | Lookup table provided. All entries need to be uniform                                                                                                                                                           |
| subtype                | road/{id}            | lane/{id}             | boundary      |  yes             | Measured /Enriched     | subtype dependent on actual type                                                                                                                                                               | int                                                  | -       | -                  | -             | E.g. thick/thin marking etc. Lookup table provided. All entries need to be uniform                                                                                                                              |
| right                  | road/{id}            | lane/{id}             | boundary      |  yes             | Measured /Enriched     | Indicator if boundary is at the left or right border polyline (if false than left)                                                                                                             | bool                                                 | -       | -                  | -             | -                                                                                                                                                                                                                |
| polyIndexStart         | road/{id}            | lane/{id}             | boundary      |  yes             | Measured /Enriched     | Point in polyline of lane border at which this boundary begins (if not valid for whole lane)                                                                                                   | int                                                  | -       | -                  | -             | Only index at which boundary starts. Length of boundary is given by amount of offset points                                                                                                                     |
| polyIndexEnd           | road/{id}            | lane/{id}             | boundary      |  yes             | Measured /Enriched     | Point in polyline of lane border at which this boundary begins (if not valid for whole lane)                                                                                                   | int                                                  | -       | -                  | -             | Only index at which boundary starts. Length of boundary is given by amount of offset points                                                                                                                     |
| height                 | road/{id}            | lane/{id}             | boundary      |  yes             | Measured /Enriched     | Optional. Height of boudnary                                                                                                                                                                   | double                                               | -       | -                  | -             | Can be used for guard rails, other seperators, curbs etc. if desired. If not used standard values are assumed. Do not use for markings                                                                          |
| color                  | road/{id}            | lane/{id}             | boundary      |  yes             | Measured /Enriched     | Color of the boundary                                                                                                                                                                          | int                                                  | -       | -                  | -             | most relevant for markings, Lookup table and guidelines provided                                                                                                                                                |
| overrides              | road/{id}            | lane/{id}             | boundary      |  no              | Determined             | Relevant if an existing object in the DGT is modified (Layer 3 Information). ID of original object that has been modified can be provided here                                                 | id tuple                                             | -       | -                  | -             | Allows to use same type definitions for layer 1,2 and 3. Modifications on existing objects can be made visible. Objects are crossreferenced                                                                     |
| overriddenBy           | road/{id}            | lane/{id}             | boundary      |  no               | Determined             | Relevant if an existing object in the DGT is modified (Layer 3 information). ID of the modified object can be provided here                                                                    | id tuple                                             | -       | -                  | -             | Allows to use same type definitions for layer 1,2 and 3. Modifications on existing objects can be made visible. Objects are crossreferenced                                                                     |
| condition              | road/{id}            | lane/{id}             | boundary      |  yes             | Measured /Enriched     | Conditon of boundary (especially relevant for lane markings)                                                                                                                                   | int                                                  | -       | -                  | -             | Lookup table provided. All entries need to be uniform                                                                                                                                                           |
| layerFlag              | road/{id}            | lane/{id}             | boundary      |  yes             | Determined             | Note down if information is temporary                                                                                                                                                          | int                                                  | -       | -                  | -             | -                                                                                                                                                                                                                |
| _Flat Marking ID_        | _road_                 | _lane_                  | _flatMarking_   |  -             | _Determined_             | _Unique ID of marking within lane_                                                                                                                                                               | _int_                                                  | -       | -                  | -             | -                                                                                                                                                                                                                |
| type                   | road/{id}            | lane/{id}             | flatMarking   |  yes             | Measured /Enriched     | Type of marking, e.g turn arrow, bike sign etc.                                                                                                                                                | string                                               | -       | -                  | -             | within this particular lane, Lookup table provided. All entries need to be uniform                                                                                                                              |
| value                  | road/{id}            | lane/{id}             | flatMarking   |  yes            | Measured /Enriched     | Value of marking if needed additonally because not specified by type                                                                                                                           | int                                                  | -       | -                  | -             | -                                                                                                                                                                                                                |
| polyline               | road/{id}            | lane/{id}             | flatMarking   |  no             | Measured /Enriched     | Point describing the center of the position of this marking. Or two points describing center line of marking                                                                                   | double (One or two polyline points posX, posY, posZ) | -       | 0,2 m              | -             | Only one point necessary as flat markings are mostly signs painted on road, arrows etc. If desired two points can be provided as centerline in order to save size of marking. Fields for posX, posY and posZ    |
| color                  | road/{id}            | lane/{id}             | flatMarking   |  yes             | Measured /Enriched     | Color of the marking                                                                                                                                                                           | int                                                  | -       | -                  | -             | Lookup table and guidelines provided                                                                                                                                                                            |
| condition              | road/{id}            | lane/{id}             | flatMarking   |  yes             | Measured /Enriched     | Condition of marking                                                                                                                                                                           | int                                                  | -       | -                  | -             | Lookup table provided. All entries need to be uniform                                                                                                                                                           |
| overrides              | road/{id}            | lane/{id}             | flatMarking   |  no              |  Determined             | Relevant if an existing object in the DGT is modified (Layer 3 Information). ID of original object that has been modified can be provided here                                                 | id tuple                                             | -       | -                  | -             | Allows to use same type definitions for layer 1,2 and 3. Modifications on existing objects can be made visible. Objects are crossreferenced                                                                     |
| overriddenBy           | road/{id}            | lane/{id}             | flatMarking   |  no              | Determined             | Relevant if an existing object in the DGT is modified (Layer 3 information). ID of the modified object can be provided here                                                                    | id tuple                                             | -       | -                  | -             | Allows to use same type definitions for layer 1,2 and 3. Modifications on existing objects can be made visible. Objects are crossreferenced                                                                     |
| layerFlag              | road/{id}            | lane/{id}             | flatMarking   |  yes             | Determined             | Note down if information is temporary                                                                                                                                                          | int                                                  | -       | -                  | -             | -                                                                                                                                                                                                                |
| material               | road/{id}            | lane/{id}             | surface       |  yes             | Measured /Enriched     | Material the surface of the road                                                                                                                                                               | int                                                  | -       | -                  | -             | Lookup table provided. All entries need to be uniform                                                                                                                                                           |
| color                  | road/{id}            | lane/{id}             | surface       |  yes             | Measured /Enriched     | Color of the road surface                                                                                                                                                                      | int                                                  | -       | -                  | -             | e.g. marking of red bike lanes. Lookup table and guidelines provided                                                                                                                                            |
| condition              | road/{id}            | lane/{id}             | surface       |  yes             | Measured  /Enriched    | Condition of the surface (e.g. when containing gaps or bitumen)                                                                                                                                | int                                                  | -       | -                  | -             | Lookup tableprovided. All entries need to be uniform. Pot holes and bitumen etc. can also be described individually as road objects if desired to describe them in greater detail                               |
| overrides              | road/{id}            | lane/{id}             | surface       |  no             | Determined             | Relevant if an existing object in the DGT is modified (Layer 3 Information). ID of original object that has been modified can be provided here                                                 | id tuple                                             | -       | -                  | -             | Allows to use same type definitions for layer 1,2 and 3. Modifications on existing objects can be made visible. Objects are crossreferenced                                                                     |
| overriddenBy           | road/{id}            | lane/{id}             | surface       |  no             | Determined             | Relevant if an existing object in the DGT is modified (Layer 3 information). ID of the modified object can be provided here                                                                    | id tuple                                             | -       | -                  | -             | Allows to use same type definitions for layer 1,2 and 3. Modifications on existing objects can be made visible. Objects are crossreferenced                                                                     |
| layerFlag              | road/{id}            | lane/{id}             | surface       |  yes             | Determined             | Note down if information is temporary                                                                                                                                                          | int                                                  | -       | -                  | -             | -                                                                                                                                                                                                                |
| _Sign ID_                | _road_                 | _sign_                  | -              |  -             | _Determined_             | _Unique ID of traffic sign_                                                                                                                                                                      | _int_                                                  | -       | -                  | -             | -                                                                                                                                                                                                                |
| type                   | road/{id}            | sign/{id}             | -              |  yes             | Measured /Enriched     | Type of traffic sign (this includes traffic lights). Set to string as it uses the offical names of the BAST catalog.                                                                           | string                                               | -       | -                  | -             | e.g. https://www.bast.de/BASt_2017/DE/Verkehrstechnik/Fachthemen/v1-verkehrszeichen/vz-download.html?nn=1817946 and traffic lights, Lookup table provided. All entries need to be uniform                       |
| value                  | road/{id}            | sign/{id}             | -              |  yes             | Measured /Enriched     | Particular value on traffic sign (see also comment)                                                                                                                                            | int                                                  | -       | -                  | -             | unnecessary for all traffic signs already in the catalogue above, except for those with specific values such as x m etc.                                                                                        |
| sizeClass              | road/{id}            | sign/{id}             | -              |  yes             | Measured /Enriched     | Size class of sign (1,2,3) dependent on velocity on road                                                                                                                                       | int                                                  | -       | -                  | -             | -                                                                                                                                                                                                                |
| history                | road/{id}            | sign/{id}             | -              | yes             |  Measured /Enriched     | Symbols of signs have changed over the years in their design. If necessary note down old number of sign here                                                                                   | string                                               | -       | -                  | -             | an overview of all signs valid during the different years can be found here: https://de.wikipedia.org/wiki/Bildtafeln_der_Verkehrszeichen_in_Deutschland                                                        |
| timedependent          | road/{id}                | sign/{id}             | -              | yes             |  Measured /Enriched     | Does this sign, i.e. its indication, change somehow over time                                                                                                                                  | bool                                                 | -       | -                  | -             | -                                                                                                                                                                                                                |
| weatherdependent       | road/{id}                | sign/{id}             | -              |  yes             | Measured /Enriched     | Does this sign, i.e. its indication, change somehow with the weather                                                                                                                           | bool                                                 | -       | -                  | -             | -                                                                                                                                                                                                                |
| applicableLanes        | road/{id}                | sign/{id}             | -              |  no             | Measured /Enriched     | Which lanes on the road does the sign apply to                                                                                                                                                 | List of id tuples                                    | -       | -                  | -             | -                                                                                                                                                                                                                |
| connectedTo            | road/{id}                | sign/{id}             | -              |  no             | Measured /Enriched     | To which other traffic sign is this sign connected                                                                                                                                             | List of id tuples                                    | -       | -                  | -             | most relevant for traffic lights or additional signs such as steep curve in combination with speed limit signs                                                                                                  |
| fallback               | road/{id}                | sign/{id}             | -              |  yes             | Measured /Enriched     | Flag if this sign is only a fallback, e.g., for yield signs at traffic lights if traffic light is broken                                                                                       | bool                                                 | -       | -                  | -             | -                                                                                                                                                                                                                |
| polyline               | road/{id}                | sign/{id}             | -              |  no             | Measured /Enriched     | Position of the traffic sign in x,y,z                                                                                                                                                          | double (One polyline point posX, posY, posZ)         | -       | 0,2 m              | -             | fields for posX, posY and posZ                                                                                                                                                                                  |
| heading                | road/{id}                | sign/{id}            | -              | yes             |  Measured /Enriched     | Rotation of traffic sign around its height axis                                                                                                                                                | double                                               | deg     | -                   | -              | -                                                                                                                                                                                                                |
| overrides              | road/{id}                | sign /{id}            | -              |  no             | Determined             | Relevant if an existing object in the DGT is modified (Layer 3 Information). ID of original object that has been modified can be provided here                                                 | id tuple                                                  | -       | -                  | -             | Allows to use same type definitions for layer 1,2 and 3. Modifications on existing objects can be made visible. Objects are crossreferenced                                                                     |
| overriddenBy           | road/{id}                | sign/{id}             | -              |  no             | Determined             | Relevant if an existing object in the DGT is modified (Layer 3 information). ID of the modified object can be provided here                                                                    | id tuple                                                  | -       | -                  | -             | Allows to use same type definitions for layer 1,2 and 3. Modifications on existing objects can be made visible. Objects are crossreferenced                                                                     |
| layerFlag              | road/{id}                | sign/{id}             | -              |  yes             | Determined             | Note down if information is temporary                                                                                                                                                          | int                                                  | -       | -                  | -             | -                                                                                                                                                                                                                |
| _Lateral Marking ID_     | _road_                     | _lateralMarking_        | -              |  -             | _Determined_             | _Unique ID of marking going accross multiple lines (e.g. pedestrian crossings or stop lines)_                                                                                                    | _int_                                                  | -       | -                  | -             | -                                                                                                                                                                                                                |
| type                   | road/{id}                | lateralMarking/{id}   | -              |  yes             | Measured /Enriched     | Type of Lateral Marking                                                                                                                                                                        | int                                                  | -       | -                  | -             | Lookup table provided. All entries need to be uniform                                                                                                                                                           |
| polyline               | road/{id}                | lateralMarking/{id}   | -              |  no             | Measured /Enriched     | Course and position of marking. Centerline                                                                                                                                                     | double (Vector for posX, posY and posZ)              | -       | 0,2 m              | -             | Multiple points possible to describe course of marking. Points should form centerline (lateral direction) of marking. Fields for posX, posY and posZ                                                            |
| longSize               | road/{id}                | lateralMarking/{id}   | -              |  yes             | Measured /Enriched     | Size of marking in longitudinal direction.                                                                                                                                                     | double                                               | -       | -                  | -             | e.g., for size of cross walk in longitudinal direction. For most lines irrelevant because of standard values                                                                                                    |
| color                  | road /{id}               | lateralMarking/{id}   | -              |  yes             | Measured /Enriched     | Color of marking                                                                                                                                                                               | int                                                  | -       | -                  | -             | Lookup table and guidelinesprovided                                                                                                                                                                             |
| applicableLanes        | road/{id}                | lateralMarking/{id}   | -              |  no             | Measured /Enriched     | On which lanes is this marking located on                                                                                                                                                      | list of ids                                          | -       | -                  | -             | -                                                                                                                                                                                                                |
| condition              | road/{id}                | lateralMarking/{id}   | -              |  yes             | Measured /Enriched     | Condition of marking                                                                                                                                                                           | int                                                  | -       | -                  | -             | Lookup table will be provided. All entries need to be uniform                                                                                                                                                   |
| overrides              | road/{id}                | lateralMarking/{id}   | -              |  no             | Determined             | Relevant if an existing object in the DGT is modified (Layer 3 Information). ID of original object that has been modified can be provided here                                                 | id tuple                                             | -       | -                  | -             | Allows to use same type definitions for layer 1,2 and 3. Modifications on existing objects can be made visible. Objects are crossreferenced                                                                     |
| overriddenBy           | road/{id}                | lateralMarking /{id}  | -              |  no             | Determined             | Relevant if an existing object in the DGT is modified (Layer 3 information). ID of the modified object can be provided here                                                                    | id tuple                                             | -       | -                  | -             | Allows to use same type definitions for layer 1,2 and 3. Modifications on existing objects can be made visible. Objects are crossreferenced                                                                     |
| layerFlag              | road/{id}                | lateralMarking/{id}   | -              |  yes             | Determined             | Note down if information is temporary                                                                                                                                                          | int                                                  | -       | -                  | -             | -                                                                                                                                                                                                                |
| _Road Object ID_         | _road_                     | _roadObject_            | -              |  -             | _Determined_             | _Unique ID of any road object that is not already covered_                                                                                                                                       | _int_                                                  | -       | -                  | -             | -                                                                                                                                                                                                                |
| type                   | road/{id}                | roadObject/{id}       | -              |  yes             | Meaured /Enriched      | Type of road object (e.g. roundabout center, traffic island)                                                                                                                                   | int                                                  | -       | -                  | -             | Lookup tableprovided. All entries need to be uniform                                                                                                                                                            |
| polyline               | road /{id}               | roadObject/{id}       | -              | no            |  Meaured /Enriched      | Course and position of road object                                                                                                                                                             | double (Vector for posX, posY and posZ)              | -        | 0,2 m              | -             | Multiple points possible to describe area of object. Fields for posX, posY and posZ                                                                                                                             |
| drivable               | road/{id}                | roadObject/{id}       | -              | yes             |  Meaured /Enriched      | Is it possible to drive on this object if necessary                                                                                                                                            | bool                                                 | -       | -                  | -             | -                                                                                                                                                                                                                |
| walkable               | road/{id}                | roadObject/{id}       | -              | yes             |  Meaured /Enriched      | Is it possible to walk on this object                                                                                                                                                          | bool                                                 | -       | -                  | -             | -                                                                                                                                                                                                                |
| height                 | road/{id}                | roadObject/{id}       | -              | yes            |  Meaured /Enriched      | Optional. Height of road object if needed.                                                                                                                                                     | double                                               | -       | -                  | -             | -                                                                                                                                                                                                                |
| overrides              | road/{id}                | roadObject/{id}       | -              |  no             | Determined             | Relevant if an existing object in the DGT is modified (Layer 3 Information). ID of original object that has been modified can be provided here                                                 | id tuple                                             | -       | -                  | -             | Allows to use same type definitions for layer 1,2 and 3. Modifications on existing objects can be made visible. Objects are crossreferenced                                                                     |
| overriddenBy           | road /{id}               | roadObject/{id}       | -              |  no             | Determined             | Relevant if an existing object in the DGT is modified (Layer 3 information). ID of the modified object can be provided here                                                                    | id tuple                                             | -       | -                  | -             | Allows to use same type definitions for layer 1,2 and 3. Modifications on existing objects can be made visible. Objects are crossreferenced                                                                     |
| layerFlag              | road/{id}                | roadObject/{id}       | -              |  yes             | Determined             | Note down if information is temporary                                                                                                                                                          | int                                                  | -       | -                  | -             | -                                                                                                                                                                                                                |
| _Structural Object ID_   | _road_                     | _structuralObject_      | -              | -             | _Determined_             | _Unique ID of structural object_                                                                                                                                                                 | _int_                                                  | -       | -                  | -             | -                                                                                                                                                                                                                |
| type                   | road/{id}                | structuralObject/{id} | -              |  yes             | Meaured /Enriched      | Type of structural object (e.g. building, bench etc.)                                                                                                                                          | int                                                  | -       | -                  | -             | Lookup table provided. All entries need to be uniform                                                                                                                                                           |
| polyline               | road/{id}                | structuralObject/{id} | -              |  no             | Meaured /Enriched      | Course and position of structural object (base area)                                                                                                                                           | double (Vector for posX, posY and posZ)              | -       | 0,2 m              | -             | Multiple points possible to describe area of object. Fields for posX, posY and posZ                                                                                                                             |
| height                 | road/{id}                | structuralObject /{id}| -              | yes             |  Meaured /Enriched      | Height of structural object                                                                                                                                                                    | double                                               | m       | -                  | -             | -                                                                                                                                                                                                                |
| overrides              | road/{id}                | structuralObject/{id} | -              |  no             | Determined             | Relevant if an existing object in the DGT is modified (Layer 3 Information). ID of original object that has been modified can be provided here                                                 | id tuple                                             | -       | -                  | -             | Allows to use same type definitions for layer 1,2 and 3. Modifications on existing objects can be made visible. Objects are crossreferenced                                                                     |
| overriddenBy           | road/{id}                | structuralObject/{id} | -              | no             |  Determined             | Relevant if an existing object in the DGT is modified (Layer 3 information). ID of the modified object can be provided here                                                                    | id tuple                                             | -       | -                  | -             | Allows to use same type definitions for layer 1,2 and 3. Modifications on existing objects can be made visible. Objects are crossreferenced                                                                     |
| layerFlag              | road/{id}                | structuralObject/{id} | -              |  yes            | Determined             | Note down if information is temporary                                                                                                                                                          | int                                                  | -       | -                  | -             | -                                                                                                                                                                                                                |

| Name                   | Group                | Subgroup         | Subsubgroup   | Attribute  | Signal Class           | Description                                                                                                                                                                                    | Data Type                                            | Unit    | Minimal Accuracy   | Frequency     | Comment                                                                                                                                                                                                         |
|:-----------------------|:---------------------|:-----------------|:--------------|:-----------|:-----------------------|:-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|:-----------------------------------------------------|:--------|:-------------------|:--------------|:----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| _road user ID_           | _roadUser_                 | -                      | -              |  -             | _Determined_             | _Unique ID of Traffic Participant_                                                                                                                                                               | _int_                                                  | -       | -                  | -             | -                                                                                                                                                                                                                |
| converterVersion       | roadUser        | -                | -                           | yes           | Determined | Version number of converter used to convert the dynamic data                                                                                                                                                  | string                                               | -       | -                  | -             | Veryion x.y. Short documentation on converter also needs to be provided                                                                                                                                                                                               |
| type                   | dynamicObjects/RU{id}   | -                 | -              | yes            |  Measured  / Determined | Traffic Participant type (e.g. vehicle, truck, bicycle etc.)                                                                                                                                   | int                                                  | -       | -                  | -             | Lookup table provided. All entries need to be uniform                                                                                                                                                           |
| subtype                | dynamicObjects/RU{id}   | -                 | -              |  yes             | Measured  / Determined | sub type for clearer specification if needed                                                                                                                                                   | int                                                  | -       | -                  | -             | Lookup table provided. All entries need to be uniform                                                                                                                                                           |
| connectedTo            | dynamicObjects/RU{id}   | -                 | -              |  yes             | Measured               | E.g. for trailers or for people walking dogs etc.                                                                                                                                              | RU(id) or M(id)                                             | -       | -                  | -             | is '*-1' or if not connected to anything                                                                                                                                                                                                               |
| attachedTo            | dynamicObjects/RU{id}   | -                 | -              |  yes             | Measured               | E.g. for car on a tow truck.                                                                                                                                              | RU(id) or M(id)                                             | -       | -                  | -             | is '*-1' if not connected to anything                                                                                                                                                                                                               |
| isDataRecorder         | dynamicObjects/RU{id}   | -                 | -              |  yes            | Measured / Determined  | Field to note if this traffic participant is ego (recording the DGT data)                                                                                                                      | bool                                                 | -       | -                  | -             | -                                                                                                                                                                                                                |
| birthStamp             | dynamicObjects/RU{id}   | -                 | -              |  yes             | Measured / Determined  | Index in timevector at birth of traffic participant (when it was first recorded in scenario)                                                                                                   | int                                                  | -       | -                  | -             | -                                                                                                                                                                                                                |
| **trajectory**             | dynamicObjects/RU{id}   | -                 | -              |  -             | Measured               | Trajectory of the object. Position is measured in center of base area                                                                                                                          | Object type with subgroups                           | -       | see above          | 25 Hz / 10Hz  | for description of values see above. All values are vectors provided for each timestamp                                                                                                                         |
| **boundBox**               | dynamicObjects/RU{id}   | -                 | -              |  -             | Measured               | bounding box of object                                                                                                                                                                         | Object type with subgroups                           | -        | -                   | -              | -                                                                                                                                                                                                                |
| length                 | dynamicObjects/RU{id}   | boundBox         | -              |  no            | Meaured / Determined   | Length of road user                                                                                                                                                                            | double                                                | m       | 0,2 m              | -             | -                                                                                                                                                                                                                |
| confident              | dynamicObjects/RU{id}   | boundBox         | attribute of dataset length | yes | Determined          | Was it possible to measure length exactly to determine center point (1) or is it of low accuracy (0)?                                                                                          | bool                                                  | -       | -                  | -              | might be needed for perception analysis if center point provided in trajectory can not be taken as accurate.  Attribute of dataset length e.g. located in groups roadUser/0/boundBox                                                                                                                                                                                                               |
| width                  | dynamicObjects/RU{id}   | boundBox         | -              |  no             | Meaured / Determined   | Width of road user                                                                                                                                                                            | double                                               | m       | 0,2 m              | -               | -                                                                                                                                                                                                                |
| confident              | dynamicObjects/RU{id}   | boundBox         | attribute of dataset width | yes | Determined            | Was it possible to measure width exactly to determine center pint (1) or is it of low accuracy (0)?                                                                                            | bool                                                 | -       | -                | -                | might be needed for perception analysis if center point provided in trajectory can not be taken as accurate. Attribute of dataset width e.g. located in groups roadUser/0/boundBox                                                                                                                                                                                                                |
| height                 | dynamicObjects/RU{id}   | boundBox         | -              |  no             | Meaured / Determined   | Optional. Height of road object. Always considered as not exactly accurate, but nice additonal information if available                                                                        | double                                               | m       | 0,2 m              | -             | not needed for center point estimation for position, therefore, not as important for evalulation                                                                                                                |
| indicatorRight         | dynamicObjects/RU{id}   | vehicleLights    | -              |  no             | Determined             | Note if right indicator light is switched on (1) or not (0), if unknown -1                                                                                                                     | vector of ints                                                  | -       | -                  | 25 Hz / 10Hz  | -                                                                                                                                                                                                                |
| indicatorLeft          | dynamicObjects/RU{id}   | vehicleLights    | -              |  no             |  Determined             | Note if left indicator light is switched on (1) or not (0), if unknown -1                                                                                                                      | vector of ints                                                  | -       | -                  | 25 Hz / 10Hz  | -                                                                                                                                                                                                                |
| brakeLights            | dynamicObjects/RU{id}   | vehicleLights    | -              |  no             | Determined             | Note if brake lights are turned on (1) or not (0), if unknown -1                                                                                                                               | vector of ints                                                  | -       | -                  | 25 Hz / 10Hz  | -                                                                                                                                                                                                                |
| headlights             | dynamicObjects/RU{id}   | vehicleLights    | -              |  no             | Determined             | Note if headlights (front and/or back) are turned (1) on or not (0), if unknown -1                                                                                                             | vector of ints                                                  | -       | -                  | 25 Hz / 10Hz  | -                                                                                                                                                                                                                |
| reversingLights        | dynamicObjects/RU{id}   | vehicleLights    | -              |  no             | Determined             | Note if reversing lights are turned on (1) or not (0), if unknown -1                                                                                                                           | vector of ints                                                  | -       | -                  | 25 Hz / 10Hz  | -                                                                                                                                                                                                                |
| blueLight              | dynamicObjects/RU{id}   | vehicleLights    | -              |  no             | Determined             | Note if blue lights (emergency vehicles) are turned on (1) or not (0), if unknown -1                                                                                                           | vector of ints                                                  | -       | -                  | 25 Hz / 10Hz  | -                                                                                                                                                                                                                |
| orangeLight              | dynamicObjects/RU{id}   | vehicleLights    | -              |  no             | Determined             | Note if orange lights (construction vehicles) are turned on (1) or not (0), if unknown -1                                                                                                           | vector of ints                                                  | -       | -                  | 25 Hz / 10Hz  | -                                                                                                                                                                                                                |
| _Misc Object ID_         | _miscObject_           | -                 | -              | -             | _Determined_             | _Unique object id of all objects with trajectory not covered in Traffic Participant_                                                                                                             | _int_                                                  | -       | -                  | -             | _e.g. ball, animal etc._                                                                                                                                                                                          |
| type                   | dynamicObjects/M{id}     | -                 | -              |  yes             | Measured / Determined  | Object Type                                                                                                                                                                                    | int                                                  | -       | -                  | -             | Lookup table  provided. All entries need to be uniform                                                                                                                                                          |
| subtype                | dynamicObjects/M{id}      | -                 | -              |  yes             | Measured / Determined  | Subtype for more detailed specification if needed                                                                                                                                              | int                                                  | -       | -                  | -             | Lookup table provided. All entries need to be uniform                                                                                                                                                           |
| birthStamp             | dynamicObjects/M{id}      | -                 | -              |  yes             | Measured / Determined  | Index in timevector at birth of misc object (when it was first recorded in scenario)                                                                                                           | int                                                  | -       | -                  | -             | -                                                                                                                                                                                                                |
| **trajectory**             | dynamicObjects/M{id}      | -                 | -              |  -             | Measured               | Trajectory of misc object                                                                                                                                                                      | Object type with subgroups                           | -       | see above          | 25 Hz / 10 Hz | for description of values see above                                                                                                                                                                             |
| **boundBox**               | dynamicObjects/M{id}      | -                 | -              |  -             | Measured               | bounding box of object                                                                                                                                                                         | Object type with subgroups                           | -        | -                   | -              | -                                                                                                                                                                                                                |
| width                  | dynamicObjects/M{id}      | boundBox         | -              |  no             | Measured               | width of object                                                                                                                                                                                | double                                               | m       | 0,2 m              | -             | -                                                                                                                                                                                                                |
| length                 | dynamicObjects/M{id}     | boundBox         | -              |  no             | Measured               | length of object                                                                                                                                                                               | double                                               | m       | 0,2 m              | -             | -                                                                                                                                                                                                                |
| height                 | dynamicObjects/M{id}      | boundBox         | -              |  no             | Measured               | height of object                                                                                                                                                                               | double                                               | m       | 0,2 m              | -             | -                                                                                                                                                                                                                |
| connectedTo            | dynamicObjects/M{id}   | -                 | -              |  yes             | Measured               | E.g. for sledge dogs etc.                                                                                                                                              | RU(id) or M(id)                                             | -       | -                  | -             | is '*-1' if not connected to anything                                                                                                                                                                                                               |
| attachedTo            | dynamicObjects/M{id}   | -                 | -              |  yes             | Measured               | E.g. for an object attached to another object.                                                                                                                                              | RU(id) or M(id)                                             | -       | -                  | -             | is '*-1' if not connected to anything                                                                                                                                                                                                               |

| Name                   | Group                | Subgroup         | Subsubgroup   | Attribute  | Signal Class           | Description                                                                                                                                                                                    | Data Type                                            | Unit    | Minimal Accuracy   | Frequency     | Comment                                                                                                                                                                                                         |
|:-----------------------|:---------------------|:-----------------|:--------------|:-----------|:-----------------------|:-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|:-----------------------------------------------------|:--------|:-------------------|:--------------|:----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| referenceId            | state                | -                 | -              |  no             | Determined             | ID of traffic sign (or traffic light) this refers to                                                                                                                                           | int                                                  | -       | -                  | -              | this will actually mainly be for traffic lights                                                                                                                                                                 |
| value                  | state/{id}           | -                 | -              |  no             | Measured               | Current traffic light or traffic sign state                                                                                                                                                    | vector of ints                                       | -       | -                  | 25 Hz / 10Hz  | Lookup Table of possible signals provided. Input needs to be uniform                                                                                                                                            |

| Name                   | Group                | Subgroup         | Subsubgroup   | Attribute  | Signal Class           | Description                                                                                                                                                                                    | Data Type                                            | Unit    | Minimal Accuracy   | Frequency     | Comment                                                                                                                                                                                                         |
|:-----------------------|:---------------------|:-----------------|:--------------|:-----------|:-----------------------|:-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|:-----------------------------------------------------|:--------|:-------------------|:--------------|:----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| converterVersion       | weather              | -                |  -            | yes             | Determined              | Version number of the converter used to convert the weather data                                                                                                                               | string                                              | -        | -                  | -             | Veryion x.y. Short documentation on converter also needs to be provided                                                                                                                                                                                                               |
| weatherStationId       | weather              | -                 | -              |  yes             | Enriched               | ID of weather station used to gather the data                                                                                                                                                  | int                                                  | -       | -                  | -             | In this case accuracy depends on the source. If data of the DWD is used for later enrichment of the data a quality control is given (especially when using older data)                                          |
| type                   | weather              | precipitation    | -              |  no             | Enriched /Measured     | Type of Precipitation (fluid or solid) and classified by amount                                                                                                                                | Vector of ints                                       | -       | -                  | 25 Hz / 10 Hz | Lookup table provided. All entries need to be uniform                                                                                                                                                           |
| amountMinute           | weather              | precipitation    | -              |  no             | Enriched /Measured     | Amount of Precipitation per minute                                                                                                                                                             | vector of double                                     | mm      | -                  | 25 Hz / 10 Hz | -                                                                                                                                                                                                                |
| amountHourly           | weather              | precipitation    | -              |  no             | Enriched /Measured     | Amount of Precipitation per hour                                                                                                                                                               | vector of double                                     | mm      | -                  | 25 Hz / 10 Hz | -                                                                                                                                                                                                                |
| source                 | weather              | precipitation    | -              |  yes             | Determined             | Is this measured or gathered from external source                                                                                                                                              | int                                                  | -       | -                  | -             | -                                                                                                                                                                                                                |
| snowDepth              | weather              | precipitation    | -              |  no             | Enriched /Measured     | Depth of snow (measured in the morning)                                                                                                                                                        | vector of double                                     | cm      | -                  | 25 Hz/10 Hz   | -                                                                                                                                                                                                                |
| newSnowDepth           | weather              | precipitation    | -              |  no             | Enriched /Measured     | Depth of new snow (measured in the morning)                                                                                                                                                    | vector of double                                     | cm      | -                  | 25 Hz/10 Hz   | -                                                                                                                                                                                                                |
| visibility             | weather              | visibility       | -              |  no             | Enriched /Measured     | predominant visibility range                                                                                                                                                                   | vector of double                                     | m       | -                  | 25 Hz/10 Hz   | -                                                                                                                                                                                                                |
| source                 | weather              | visibility       | -              |  yes             | Determined             | Is this measured or gathered from external source                                                                                                                                              | int                                                  | -       | -                  | -             | -                                                                                                                                                                                                                |
| surfaceCondition       | weather              | roadCondition    | -              |  no             | Measured               | Condition of road surface                                                                                                                                                                      | vector of ints                                       | -       | -                  | 25 Hz / 10 Hz | Lookup tabl provided. All entries need to be uniform                                                                                                                                                            |
| maintenanceStatus      | weather              | roadCondition    | -              | no             | Measured               | Status of winter maintenance (salted, bare etc.) or if dirt etc. is present                                                                                                                    | Vector of ints                                       | -       | -                  | 25 Hz / 10 Hz | Lookup table provided. All entries need to be uniform                                                                                                                                                           |
| spray                  | weather              | roadCondition    | -              |  no             | Measured               | Is spray visible yes or no (no quantification)                                                                                                                                                 | vector of bool                                       | -       | -                  | 25 Hz / 10 Hz | Lookup table provided. All entries need to be uniform                                                                                                                                                           |
| degree                 | weather              | cloudiness       | -              |  no             | Enriched /Measured     | Degree by how much it is cloudy (usual way is to describe it in 1/8 steps)                                                                                                                     | double (vector of eigths)                            | x/8     | -                  | 25 Hz / 10 Hz | When using DWD Data this field gives the same information as type. When providing cloudiness in eigths please provide the numerator of the fraction. Field might become useful when using other weather sensors |
| source                 | weather              | cloudiness       | -              |  yes             | Determined             | Is this measured or gathered from external source                                                                                                                                              | int                                                  | -       | -                  | -             | -                                                                                                                                                                                                                |
| solarHours             | weather              | solar            | -              |  no             | Enriched /Measured     | Amount of sunshine measured in 10 minute interval given in hours                                                                                                                               | vector of double                                     | h       | -                  | 25 Hz / 10 Hz | DWD Data only available in 10 Minute intervals, however, it can give an impression of possible lighting conditions (together with cloudiness)                                                                   |
| diffSolarRadiation     | weather              | solar            | -              |  no             | Enriched /Measured     | Diffuse solar radiation in 10 minute intervall                                                                                                                                                 | vector of double                                     | J/cm^2  | -                  | 25 Hz / 10 Hz | -                                                                                                                                                                                                                |
| solarIncomingRadiation | weather              | solar            | -              | no             |  Enriched /Measured     | Solar incoming radiation in 10 minute intervall                                                                                                                                                | vector of double                                     | J/cm^2  | -                  | 25 Hz / 10 Hz | -                                                                                                                                                                                                                |
| longwaveDownRadiation  | weather              | solar            | -              |  no             | Enriched /Measured     | Longwave downward radiation in 10 minute intervall                                                                                                                                             | vector of double                                     | J/cm^2  | -                  | 25 Hz / 10 Hz | -                                                                                                                                                                                                                |
| source                 | weather              | solar            | -              | yes             |  Determined             | Is this measured or gathered from external source                                                                                                                                              | int                                                  | -       | -                  | -             | -                                                                                                                                                                                                                |
| airTemp                | weather              | temperature      | -              |  no             | Enriched /Measured     | Temperature (usually measured in 2m height if gathered from external data)                                                                                                                     | vector of double                                     | Celsius | -                  | 25 Hz / 10 Hz | -                                                                                                                                                                                                                |
| airTemp5cm             | weather              | temperature      | -              |  no             | Enriched /Measured     | Temperature in 5cm height. Can be gathered from external data                                                                                                                                  | vector of double                                     | Celsius | -                   | 25 Hz / 10 Hz | -                                                                                                                                                                                                                |
| groundTemp             | weather              | temperature      | -              | no             |  Enriched               | Temperature of soil (usually measured 2cm below ground if gathered from external data)                                                                                                         | vector of double                                     | Celsius | -                  | 25 Hz / 10 Hz | -                                                                                                                                                                                                                |
| source                 | weather              | temperature      | -              |  yes             | Determined             | Is this measured or gathered from external source                                                                                                                                              | int                                                  | -       | -                  | -             | -                                                                                                                                                                                                                |
| type                   | weather              | wind             | -              | no             | Enriched               | Classification of wind by amount (Beaufort-Skala)                                                                                                                                              | Vector of ints                                       | -       | -                  | 25 Hz / 10 Hz | Lookup table provided. All entries need to be uniform                                                                                                                                                           |
| windSpeed              | weather              | wind             | -              |  no            | Enriched /Measured     | Average wind speed in time interval                                                                                                                                                            | vector of double                                     | m/s     | -                  | 25 Hz / 10 Hz | -                                                                                                                                                                                                                |
| windDirection          | weather              | wind             | -              |  no             | Enriched /Measured     | General direction of wind in time interval                                                                                                                                                     | vector of double                                     | degree  | -                  | 25 Hz / 10 Hz | -                                                                                                                                                                                                                |
| source                 | weather              | wind             | -              |  yes             | Determined             | Is this measured or gathered from external source                                                                                                                                              | int                                                  | -       | -                  | -             | -                                                                                                                                                                                                                |
| windSpeed              | weather              | gustOfWind       | -              |  no             | Enriched /Measured     | Maximum wind speed over 10 minutes                                                                                                                                                             | vector of double                                     | m/s     | -                  | 25 Hz / 10 Hz | -                                                                                                                                                                                                                |
| type                   | weather              | gustOfWind       | -              |  no             | Enriched               | Which type of gust of wind was present (classified by severity)                                                                                                                                | vector of ints                                       | -       | -                  | 25 Hz / 10 Hz | Lookup table provided. All entries need to be uniform                                                                                                                                                           |
| source                 | weather              | gustOfWind       | -              |  yes             | Determined             | Is this measured or gathered from external source                                                                                                                                              | int                                                  | -       | -                  | -             | -                                                                                                                                                                                                                |
| airPressureNN          | weather              | airPressure      | -              |  no             | Enriched /Measured     | air pressure at NN                                                                                                                                                                             | vector of double                                     | hPa     | -                  | 25 Hz / 10 Hz | -                                                                                                                                                                                                                |
| airPressureZero        | weather              | airPressure      | -              |  no             | Enriched /Measured     | Air pressure at elevation of weather station                                                                                                                                                   | vector of double                                     | hPa     | -                  | 25 Hz / 10 Hz | -                                                                                                                                                                                                                |
| source                 | weather              | airPressure      | -              |  yes             | Determined             | Is this measured or gathered from external source                                                                                                                                              | int                                                  | -       | -                  | 25 Hz / 10 Hz | -                                                                                                                                                                                                                |
| humidity               | weather              | humidity         | -              |  no             | Enriched /Measured     | Humiditiy                                                                                                                                                                                      | vector of double                                     | %       | -                  | 25 Hz / 10 Hz | Mainly relevant in order to determine if there is any fog                                                                                                                                                       |
| source                 | weather              | humidity         | -              |  yes            | Determined             | Is this measured or gathered from external source                                                                                                                                              | int                                                  | -       | -                  | -             | -                                                                                                                                                                                                                |
